WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/March 2025/30 Mar 2025

Taffs Well Women v Senghenydd RFC Women

67 photographs Kian Abdullah/Huw Evans Agency Sunday
Prints from £8 Order prints
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC 001
CDF_300325_KA_Taffs_Well_v_Senghenydd_001.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rafiuke Taylor of Senghenydd RFC is chased down by Georjia Teuma of Taffs Well 002
CDF_300325_KA_Taffs_Well_v_Senghenydd_002.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rafiuke Taylor of Senghenydd RFC is chased down by Georjia Teuma of Taffs Well
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Katy Priddle of Taffs Well 003
CDF_300325_KA_Taffs_Well_v_Senghenydd_003.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Katy Priddle of Taffs Well
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Lauren Stevens of Senghenydd RFC 004
CDF_300325_KA_Taffs_Well_v_Senghenydd_004.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Lauren Stevens of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Alice Clayton of Taffs Well is challenged by Lianne Fletcher of Senghenydd RFC 005
CDF_300325_KA_Taffs_Well_v_Senghenydd_005.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Alice Clayton of Taffs Well is challenged by Lianne Fletcher of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Alice Clayton of Taffs Well is challenged by Lianne Fletcher of Senghenydd RFC 006
CDF_300325_KA_Taffs_Well_v_Senghenydd_006.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Alice Clayton of Taffs Well is challenged by Lianne Fletcher of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Georjia Teuma of Taffs Well is challenged by Imogen Shide of Senghenydd RFC 007
CDF_300325_KA_Taffs_Well_v_Senghenydd_007.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Georjia Teuma of Taffs Well is challenged by Imogen Shide of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Georjia Teuma of Taffs Well is challenged by Imogen Shide of Senghenydd RFC 008
CDF_300325_KA_Taffs_Well_v_Senghenydd_008.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Georjia Teuma of Taffs Well is challenged by Imogen Shide of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Georjia Teuma of Taffs Well is challenged by Imogen Shide of Senghenydd RFC 009
CDF_300325_KA_Taffs_Well_v_Senghenydd_009.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Georjia Teuma of Taffs Well is challenged by Imogen Shide of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final -  Katy Priddle of Taffs Well 010
CDF_300325_KA_Taffs_Well_v_Senghenydd_010.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Katy Priddle of Taffs Well
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Jodie-Leigh Hobbs of Taffs Well scores a try 011
CDF_300325_KA_Taffs_Well_v_Senghenydd_011.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Jodie-Leigh Hobbs of Taffs Well scores a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Jodie-Leigh Hobbs of Taffs Well scores a try 012
CDF_300325_KA_Taffs_Well_v_Senghenydd_012.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Jodie-Leigh Hobbs of Taffs Well scores a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Jodie-Leigh Hobbs of Taffs Well scores a try 013
CDF_300325_KA_Taffs_Well_v_Senghenydd_013.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Jodie-Leigh Hobbs of Taffs Well scores a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Jodie-Leigh Hobbs of Taffs Well celebrates scoring a try with team mates 014
CDF_300325_KA_Taffs_Well_v_Senghenydd_014.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Jodie-Leigh Hobbs of Taffs Well celebrates scoring a try with team mates
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Jodie-Leigh Hobbs of Taffs Well celebrates scoring a try with team mates 015
CDF_300325_KA_Taffs_Well_v_Senghenydd_015.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Jodie-Leigh Hobbs of Taffs Well celebrates scoring a try with team mates
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Alice Clayton of Taffs Well kicks the conversion 016
CDF_300325_KA_Taffs_Well_v_Senghenydd_016.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Alice Clayton of Taffs Well kicks the conversion
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Alice Clayton of Taffs Well kicks the conversion 017
CDF_300325_KA_Taffs_Well_v_Senghenydd_017.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Alice Clayton of Taffs Well kicks the conversion
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rhiannon Beth Morgan of Taffs Well 018
CDF_300325_KA_Taffs_Well_v_Senghenydd_018.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rhiannon Beth Morgan of Taffs Well
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rhiannon Beth Morgan of Taffs Well 019
CDF_300325_KA_Taffs_Well_v_Senghenydd_019.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rhiannon Beth Morgan of Taffs Well
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC 020
CDF_300325_KA_Taffs_Well_v_Senghenydd_020.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Katy Priddle of Taffs Well is challenged by Rhian Bowden of Senghenydd RFC 021
CDF_300325_KA_Taffs_Well_v_Senghenydd_021.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Katy Priddle of Taffs Well is challenged by Rhian Bowden of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Katy Priddle of Taffs Well is challenged by Elin Jenkins of Senghenydd RFC 022
CDF_300325_KA_Taffs_Well_v_Senghenydd_022.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Katy Priddle of Taffs Well is challenged by Elin Jenkins of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try 023
CDF_300325_KA_Taffs_Well_v_Senghenydd_023.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try 024
CDF_300325_KA_Taffs_Well_v_Senghenydd_024.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try 025
CDF_300325_KA_Taffs_Well_v_Senghenydd_025.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try 026
CDF_300325_KA_Taffs_Well_v_Senghenydd_026.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try 027
CDF_300325_KA_Taffs_Well_v_Senghenydd_027.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC celebrates scoring a try 028
CDF_300325_KA_Taffs_Well_v_Senghenydd_028.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC celebrates scoring a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC kicks the conversion 029
CDF_300325_KA_Taffs_Well_v_Senghenydd_029.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC kicks the conversion
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC kicks the conversion 030
CDF_300325_KA_Taffs_Well_v_Senghenydd_030.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC kicks the conversion
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try 031
CDF_300325_KA_Taffs_Well_v_Senghenydd_031.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try 032
CDF_300325_KA_Taffs_Well_v_Senghenydd_032.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try 033
CDF_300325_KA_Taffs_Well_v_Senghenydd_033.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try 034
CDF_300325_KA_Taffs_Well_v_Senghenydd_034.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try 035
CDF_300325_KA_Taffs_Well_v_Senghenydd_035.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC runs in to score a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC scores a try 036
CDF_300325_KA_Taffs_Well_v_Senghenydd_036.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC scores a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC kicks the conversion 037
CDF_300325_KA_Taffs_Well_v_Senghenydd_037.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC kicks the conversion
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Kayley Smith of Senghenydd RFC 038
CDF_300325_KA_Taffs_Well_v_Senghenydd_038.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Kayley Smith of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rafiuke Taylor of Senghenydd RFC runs in to score a try 039
CDF_300325_KA_Taffs_Well_v_Senghenydd_039.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rafiuke Taylor of Senghenydd RFC runs in to score a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rafiuke Taylor of Senghenydd RFC scores a try 040
CDF_300325_KA_Taffs_Well_v_Senghenydd_040.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rafiuke Taylor of Senghenydd RFC scores a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rafiuke Taylor of Senghenydd RFC scores a try 041
CDF_300325_KA_Taffs_Well_v_Senghenydd_041.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rafiuke Taylor of Senghenydd RFC scores a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rafiuke Taylor of Senghenydd RFC scores a try 042
CDF_300325_KA_Taffs_Well_v_Senghenydd_042.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rafiuke Taylor of Senghenydd RFC scores a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rafiuke Taylor of Senghenydd RFC celebrates scoring a try 043
CDF_300325_KA_Taffs_Well_v_Senghenydd_043.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rafiuke Taylor of Senghenydd RFC celebrates scoring a try
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC kicks the conversion 044
CDF_300325_KA_Taffs_Well_v_Senghenydd_044.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Courtney Greenway of Senghenydd RFC kicks the conversion
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Kayley Smith of Senghenydd RFC is challenged by Chelsea Martin of Taffs Well 045
CDF_300325_KA_Taffs_Well_v_Senghenydd_045.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Kayley Smith of Senghenydd RFC is challenged by Chelsea Martin of Taffs Well
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Kayley Smith of Senghenydd RFC is challenged by Chelsea Martin of Taffs Well 046
CDF_300325_KA_Taffs_Well_v_Senghenydd_046.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Kayley Smith of Senghenydd RFC is challenged by Chelsea Martin of Taffs Well
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Holly Brown of Taffs Well is challenged by Rafiuke Taylor of Senghenydd RFC 047
CDF_300325_KA_Taffs_Well_v_Senghenydd_047.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Holly Brown of Taffs Well is challenged by Rafiuke Taylor of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Holly Brown of Taffs Well is challenged by Rafiuke Taylor of Senghenydd RFC 048
CDF_300325_KA_Taffs_Well_v_Senghenydd_048.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Holly Brown of Taffs Well is challenged by Rafiuke Taylor of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rhiannon Beth Morgan of Taffs Well is challenged by Imogen Shide of Senghenydd RFC 049
CDF_300325_KA_Taffs_Well_v_Senghenydd_049.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Rhiannon Beth Morgan of Taffs Well is challenged by Imogen Shide of Senghenydd RFC
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Lianne Fletcher of Senghenydd RFC is challenged by Georjia Teuma of Taffs Well 050
CDF_300325_KA_Taffs_Well_v_Senghenydd_050.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Lianne Fletcher of Senghenydd RFC is challenged by Georjia Teuma of Taffs Well
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Taffs Well team huddle at full time 051
CDF_300325_KA_Taffs_Well_v_Senghenydd_051.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Taffs Well team huddle at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd team huddle at full time 052
CDF_300325_KA_Taffs_Well_v_Senghenydd_052.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd team huddle at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Player of the match Courtney Greenway of Senghenydd RFC at full time 053
CDF_300325_KA_Taffs_Well_v_Senghenydd_053.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Player of the match Courtney Greenway of Senghenydd RFC at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Player of the match Courtney Greenway of Senghenydd RFC at full time 054
CDF_300325_KA_Taffs_Well_v_Senghenydd_054.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Player of the match Courtney Greenway of Senghenydd RFC at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time 055
CDF_300325_KA_Taffs_Well_v_Senghenydd_055.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time 056
CDF_300325_KA_Taffs_Well_v_Senghenydd_056.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time 057
CDF_300325_KA_Taffs_Well_v_Senghenydd_057.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time 058
CDF_300325_KA_Taffs_Well_v_Senghenydd_058.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time 059
CDF_300325_KA_Taffs_Well_v_Senghenydd_059.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time 060
CDF_300325_KA_Taffs_Well_v_Senghenydd_060.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time 061
CDF_300325_KA_Taffs_Well_v_Senghenydd_061.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time 062
CDF_300325_KA_Taffs_Well_v_Senghenydd_062.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time 063
CDF_300325_KA_Taffs_Well_v_Senghenydd_063.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time 064
CDF_300325_KA_Taffs_Well_v_Senghenydd_064.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - 065
CDF_300325_KA_Taffs_Well_v_Senghenydd_065.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final -
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Joeann McGuire of Senghenydd RFC celebrates the win at full time 066
CDF_300325_KA_Taffs_Well_v_Senghenydd_066.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Joeann McGuire of Senghenydd RFC celebrates the win at full time
300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time 067
CDF_300325_KA_Taffs_Well_v_Senghenydd_067.JPG · Kian Abdullah/Huw Evans Agency300325 - Taffs Well Women v Senghenydd RFC Women - WRU Women’s Bowl Final - Senghenydd RFC Women celebrate lifting the trophy at full time

More from around this date

Sun 30 MarBury Port RFC Women v Bonymaen RFC Women Sun 30 MarClwb Rygbi Cymry Women v Seven Sisters Women Sun 30 MarWalking for the Valleys Initiative Sun 30 MarGlamorgan v Cardiff UCCE Mon 31 MarGlamorgan v Cardiff UCCE Sat 29 MarBenetton Rugby 20-19 Cardiff Rugby Sat 29 MarLeeds United 2-2 Swansea City Sat 29 MarNewport County 0-2 Notts County
Taffs Well Women v Senghenydd RFC Women · 30 Mar 2025
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured